/**
 * Copyright (C) 2010 OSGi fuer Praktiker <info@osgi-buch.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package biz.gossipmonger.remotelogserver.internal;
import java.util.Date;
import org.osgi.framework.ServiceReference;
import org.osgi.service.log.LogService;

public class RemoteLogServiceImpl implements LogService {

	public void log(int level, String message) {
		log(null, level, message, null);
	}

	public void log(int level, String message, Throwable exception) {
		log(null, level, message, exception);
	}

	public void log(ServiceReference sr, int level, String message) {
		log(sr, level, message, null);
	}

	public void log(ServiceReference sr, int level, String message,
			Throwable exception) {
		StringBuffer sb = new StringBuffer();
		sb.append("Remote Logging: ");
		sb.append((new Date().toString())).append(":\t");
		sb.append(level).append("\t");
		sb.append(message).append("\t");

		if (sr != null) {
			sb.append(sr.toString()).append("\t");
		}
		if (exception != null) {
			sb.append(exception.getMessage());
		}
		System.out.println(sb.toString());
	}
}
